Subject: [tpmdd-devel] [RFC PATCH 1/2] tee: generic TEE subsystem

From: [email-masked] (Greg Kroah-Hartman)
Date: Mon, 20 Apr 2015 16:54:32 +0200

On Sun, Apr 19, 2015 at 11:08:00PM -0600, Jason Gunthorpe wrote:
> I still suspect the expected way to write a new mid layer is to create
> your own struct device and not rely on misc_device,

Yes, that is the way.  You can not use misc_device for anything other
than creating the char node that your driver can use through the fileops
you pass to it.

Do not use a misc_device to create sysfs files for, or anything else, it
will be wrong and racy, as you have pointed out.

thanks,

greg k-h